| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
Reaction.h File Reference
`#include "cantera/base/AnyMap.h"`
`#include "cantera/base/Units.h"`
`#include "ReactionRate.h"`
Include dependency graph for Reaction.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Reaction
| Abstract base class which stores data about a reaction and its rate parameterization so that it can be added to a Kinetics object. More...
class | ThirdBody
| A class for managing third-body efficiencies, including default values. More...
class | ThreeBodyReaction
| A reaction with a non-reacting third body "M" that acts to add or remove energy from the reacting species. More...
class | FalloffReaction
| A falloff reaction that is first-order in [M] at low pressure, like a third-body reaction, but zeroth-order in [M] as pressure increases. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Typedefs
using | ThreeBodyReaction3 = ThreeBodyReaction
using | FalloffReaction3 = FalloffReaction

## Functions
unique_ptr< Reaction > | newReaction (const string &type)
| Create a new empty Reaction object.
unique_ptr< Reaction > | newReaction (const AnyMap &rxn_node, const Kinetics &kin)
| Create a new Reaction object using the specified parameters.
vector< shared_ptr< Reaction > > | getReactions (const AnyValue &items, Kinetics &kinetics)
| Create Reaction objects for each item (an AnyMap) in `items`.
void | parseReactionEquation (Reaction &R, const string &equation, const AnyBase &reactionNode, const Kinetics *kin)
| Parse reaction equation.